diff --git a/changelog b/changelog
index 102ba8b..13f5f2e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20080403 tpd src/input/Makefile add integration regression testing
+20080403 tpd src/input/schaum18.input integrals of cos(ax)
+20080403 tpd src/input/schaum17.input ignore gensyms
+20080403 tpd src/input/schaum16.input ignore gensyms
+20080403 tpd src/input/schaum14.input ignore gensyms
+20080403 tpd src/input/schaum13.input ignore gensyms
+20080403 tpd src/input/schaum12.input ignore gensyms
 20080402 tpd src/input/Makefile add integration regression testing
 20080402 tpd src/input/schaum17.input integrals of sin(ax)
 20080402 tpd src/input/schaum16.input integrals of x^n \pm a^n
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 6de47f3..dbeb3d7 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -359,7 +359,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
     schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
-    schaum17.regress \
+    schaum17.regress  schaum18.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -637,7 +637,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum8.input  ${OUT}/schaum9.input    ${OUT}/schaum10.input \
        ${OUT}/schaum11.input ${OUT}/schaum12.input   ${OUT}/schaum13.input \
        ${OUT}/schaum14.input ${OUT}/schaum15.input   ${OUT}/schaum16.input \
-       ${OUT}/schaum17.input \
+       ${OUT}/schaum17.input ${OUT}/schaum18.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -944,7 +944,7 @@ DOCFILES= \
   ${DOC}/schaum11.input.dvi    ${DOC}/schaum12.input.dvi \
   ${DOC}/schaum13.input.dvi    ${DOC}/schaum14.input.dvi \
   ${DOC}/schaum15.input.dvi    ${DOC}/schaum16.input.dvi \
-  ${DOC}/schaum17.input.dvi \
+  ${DOC}/schaum17.input.dvi    ${DOC}/schaum18.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum12.input.pamphlet b/src/input/schaum12.input.pamphlet
index 6669ade..644ebed 100644
--- a/src/input/schaum12.input.pamphlet
+++ b/src/input/schaum12.input.pamphlet
@@ -189,10 +189,10 @@ aa:=integrate(x^m/(a*x^2+b*x+c),x)
 --R 
 --R
 --R           x         m
---R         ++        %N
---R   (1)   |   --------------- d%N
+--I         ++        %N
+--I   (1)   |   --------------- d%N
 --R        ++                2
---R             c + %N b + %N a
+--I             c + %N b + %N a
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -326,9 +326,9 @@ aa:=integrate(1/(x^n*(a*x^2+b*x+c)),x)
 --R
 --R           x
 --R         ++            1
---R   (1)   |   -------------------- d%N
+--I   (1)   |   -------------------- d%N
 --R        ++                 2    n
---R             (c + %N b + %N a)%N
+--I             (c + %N b + %N a)%N
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -519,10 +519,10 @@ aa:=integrate(x^m/(a*x^2+b*x+c)^n,x)
 --R 
 --R
 --R           x           m
---R         ++          %N
---R   (1)   |   ------------------ d%N
+--I         ++          %N
+--I   (1)   |   ------------------ d%N
 --R        ++                 2  n
---R             (c + %N b + %N a)
+--I             (c + %N b + %N a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -546,10 +546,10 @@ aa:=integrate(x^(2*n-1)/(a*x^2+b*x+c)^n,x)
 --R 
 --R
 --R           x        2n - 1
---R         ++       %N
---R   (1)   |   ------------------ d%N
+--I         ++       %N
+--I   (1)   |   ------------------ d%N
 --R        ++                 2  n
---R             (c + %N b + %N a)
+--I             (c + %N b + %N a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -762,9 +762,9 @@ aa:=integrate(1/(x^m*(a*x^2+b*x+c)^n),x)
 --R
 --R           x
 --R         ++            1
---R   (1)   |   --------------------- d%N
+--I   (1)   |   --------------------- d%N
 --R        ++     m              2  n
---R             %N (c + %N b + %N a)
+--I             %N (c + %N b + %N a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
diff --git a/src/input/schaum13.input.pamphlet b/src/input/schaum13.input.pamphlet
index 04551e6..eb1a6eb 100644
--- a/src/input/schaum13.input.pamphlet
+++ b/src/input/schaum13.input.pamphlet
@@ -1167,7 +1167,7 @@ aa:=integrate((a*x^2+b*x+c)^(n+1/2),x)
 --R                              2n + 1
 --R           x                  ------
 --R         ++                2     2
---R   (1)   |   (c + %N b + %N a)      d%N
+--I   (1)   |   (c + %N b + %N a)      d%N
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
 --E 
@@ -1189,7 +1189,7 @@ aa:=integrate(x*(a*x^2+b*x+c)^(n+1/2),x)
 --R                                 2n + 1
 --R           x                     ------
 --R         ++                   2     2
---R   (1)   |   %N (c + %N b + %N a)      d%N
+--I   (1)   |   %N (c + %N b + %N a)      d%N
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
 --E 
@@ -1214,11 +1214,11 @@ aa:=integrate(1/(a*x^2+b*x+c)^(n+1/2),x)
 --R
 --R           x
 --R         ++             1
---R   (1)   |   ----------------------- d%N
+--I   (1)   |   ----------------------- d%N
 --R        ++                    2n + 1
 --R                              ------
 --R                           2     2
---R             (c + %N b + %N a)
+--I             (c + %N b + %N a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -1245,11 +1245,11 @@ aa:=integrate(1/(x*(a*x^2+b*x+c)^(n+1/2)),x)
 --R
 --R           x
 --R         ++               1
---R   (1)   |   -------------------------- d%N
+--I   (1)   |   -------------------------- d%N
 --R        ++                       2n + 1
 --R                                 ------
 --R                              2     2
---R             %N (c + %N b + %N a)
+--I             %N (c + %N b + %N a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
diff --git a/src/input/schaum14.input.pamphlet b/src/input/schaum14.input.pamphlet
index 560ab37..532a38a 100644
--- a/src/input/schaum14.input.pamphlet
+++ b/src/input/schaum14.input.pamphlet
@@ -264,10 +264,10 @@ aa:=integrate(x^m/(x^3+a^3),x)
 --R 
 --R
 --R           x      m
---R         ++     %L
---R   (1)   |   -------- d%L
+--I         ++     %L
+--I   (1)   |   -------- d%L
 --R        ++    3     3
---R             a  + %L
+--I             a  + %L
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -286,9 +286,9 @@ aa:=integrate(1/(x^n*(x^3+a^3)),x)
 --R
 --R           x
 --R         ++        1
---R   (1)   |   ------------- d%L
+--I   (1)   |   ------------- d%L
 --R        ++     3     3   n
---R             (a  + %L )%L
+--I             (a  + %L )%L
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
diff --git a/src/input/schaum16.input.pamphlet b/src/input/schaum16.input.pamphlet
index 2246f9a..f6b849c 100644
--- a/src/input/schaum16.input.pamphlet
+++ b/src/input/schaum16.input.pamphlet
@@ -64,10 +64,10 @@ aa:=integrate(x^m/(x^n+a^n)^r,x)
 --R 
 --R
 --R           x       m
---R         ++      %J
---R   (1)   |   ----------- d%J
+--I         ++      %J
+--I   (1)   |   ----------- d%J
 --R        ++     n     n r
---R             (a  + %J )
+--I             (a  + %J )
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -87,9 +87,9 @@ aa:=integrate(1/(x^m*(x^n+a^n)^r),x)
 --R
 --R           x
 --R         ++         1
---R   (1)   |   -------------- d%J
+--I   (1)   |   -------------- d%J
 --R        ++     m  n     n r
---R             %J (a  + %J )
+--I             %J (a  + %J )
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -187,10 +187,10 @@ aa:=integrate(x^m/(x^n-a^n)^r,x)
 --R 
 --R
 --R           x        m
---R         ++       %J
---R   (1)   |   ------------- d%J
+--I         ++       %J
+--I   (1)   |   ------------- d%J
 --R        ++       n     n r
---R             (- a  + %J )
+--I             (- a  + %J )
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -210,9 +210,9 @@ aa:=integrate(1/(x^m*(x^n-a^n)^r),x)
 --R
 --R           x
 --R         ++          1
---R   (1)   |   ---------------- d%J
+--I   (1)   |   ---------------- d%J
 --R        ++     m    n     n r
---R             %J (- a  + %J )
+--I             %J (- a  + %J )
 --R                                          Type: Union(Expression Integer,...)
 --E
 @
@@ -274,10 +274,10 @@ aa:=integrate(x^(p-1)/(x^(2*m)+a^(2*m)),x)
 --R 
 --R
 --R           x     p - 1
---R         ++    %J
---R   (1)   |   ---------- d%J
+--I         ++    %J
+--I   (1)   |   ---------- d%J
 --R        ++    2m     2m
---R             a   + %J
+--I             a   + %J
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -304,10 +304,10 @@ aa:=integrate(x^(p-1)/(x^(2*m)-a^(2*m)),x)
 --R 
 --R
 --R           x       p - 1
---R         ++      %J
---R   (1)   |   - ---------- d%J
+--I         ++      %J
+--I   (1)   |   - ---------- d%J
 --R        ++      2m     2m
---R               a   - %J
+--I               a   - %J
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -338,10 +338,10 @@ aa:=integrate(x^(p-1)/(x^(2*m+1)+a^(2*m+1)),x)
 --R 
 --R
 --R           x         p - 1
---R         ++        %J
---R   (1)   |   ------------------ d%J
+--I         ++        %J
+--I   (1)   |   ------------------ d%J
 --R        ++    2m + 1     2m + 1
---R             a       + %J
+--I             a       + %J
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -374,10 +374,10 @@ aa:=integrate(x^(p-1)/(x^(2*m+1)-a^(2*m+1)),x)
 --R 
 --R
 --R           x           p - 1
---R         ++          %J
---R   (1)   |   - ------------------ d%J
+--I         ++          %J
+--I   (1)   |   - ------------------ d%J
 --R        ++      2m + 1     2m + 1
---R               a       - %J
+--I               a       - %J
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
index 7ab11d7..fd40132 100644
--- a/src/input/schaum17.input.pamphlet
+++ b/src/input/schaum17.input.pamphlet
@@ -32,7 +32,7 @@ aa:=integrate(sin(a*x),x)
 \section{\cite{1}:14.340~~~~~$\displaystyle
 \int{x\sin{ax}~dx}$}
 $$\int{x\sin{ax}}=
-\frac{sin{ax}}{a^2}-\frac{x\cos{ax}}{a}
+\frac{\sin{ax}}{a^2}-\frac{x\cos{ax}}{a}
 $$
 <<*>>=
 )clear all
@@ -122,10 +122,10 @@ aa:=integrate(sin(a*x)/x^2,x)
 --R 
 --R
 --R           x
---R         ++  sin(%I a)
---R   (1)   |   --------- d%I
+--I         ++  sin(%I a)
+--I   (1)   |   --------- d%I
 --R        ++        2
---R                %I
+--I                %I
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -167,9 +167,9 @@ aa:=integrate(x/sin(a*x),x)
 --R 
 --R
 --R           x
---R         ++      %I
---R   (1)   |   --------- d%I
---R        ++   sin(%I a)
+--I         ++      %I
+--I   (1)   |   --------- d%I
+--I        ++   sin(%I a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -675,7 +675,7 @@ aa:=integrate(x^m*sin(a*x),x)
 --R
 --R           x
 --R         ++             m
---R   (1)   |   sin(%I a)%I d%I
+--I   (1)   |   sin(%I a)%I d%I
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
 --E 
@@ -694,10 +694,10 @@ aa:=integrate(sin(a*x)/x^n,x)
 --R 
 --R
 --R           x
---R         ++  sin(%I a)
---R   (1)   |   --------- d%I
+--I         ++  sin(%I a)
+--I   (1)   |   --------- d%I
 --R        ++        n
---R                %I
+--I                %I
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -716,7 +716,7 @@ aa:=integrate(sin(a*x)^n,x)
 --R
 --R           x
 --R         ++           n
---R   (1)   |   sin(%I a) d%I
+--I   (1)   |   sin(%I a) d%I
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
 --E 
@@ -737,9 +737,9 @@ aa:=integrate(1/(sin(a*x))^n,x)
 --R
 --R           x
 --R         ++       1
---R   (1)   |   ---------- d%I
+--I   (1)   |   ---------- d%I
 --R        ++            n
---R             sin(%I a)
+--i             sin(%I a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -759,10 +759,10 @@ aa:=integrate(x/sin(a*x)^n,x)
 --R 
 --R
 --R           x
---R         ++      %I
---R   (1)   |   ---------- d%I
+--I         ++      %I
+--I   (1)   |   ---------- d%I
 --R        ++            n
---R             sin(%I a)
+--I             sin(%I a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
diff --git a/src/input/schaum18.input.pamphlet b/src/input/schaum18.input.pamphlet
new file mode 100644
index 0000000..3cb4766
--- /dev/null
+++ b/src/input/schaum18.input.pamphlet
@@ -0,0 +1,754 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum18.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.369~~~~~$\displaystyle
+\int{\cos ax ~dx}$}
+$$\int{\cos ax}=
+\frac{\sin{ax}}{a}
+$$
+<<*>>=
+)spool schaum18.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 30
+aa:=integrate(cos(a*x),x)
+--R 
+--R
+--R        sin(a x)
+--R   (1)  --------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.370~~~~~$\displaystyle
+\int{x\cos{ax}~dx}$}
+$$\int{x\cos{ax}}=
+\frac{\cos{ax}}{a^2}+\frac{x\sin{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 30
+aa:=integrate(x*cos(a*x),x)
+--R 
+--R
+--R        a x sin(a x) + cos(a x)
+--R   (1)  -----------------------
+--R                    2
+--R                   a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.371~~~~~$\displaystyle
+\int{x^2\cos{ax}~dx}$}
+$$\int{x^2\cos{ax}}=
+\frac{2x}{a^2}\cos{ax}+\left(\frac{x^2}{a}-\frac{2}{a^3}\right)\sin{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 30
+aa:=integrate(x^2*cos(a*x),x)
+--R 
+--R
+--R          2 2
+--R        (a x  - 2)sin(a x) + 2a x cos(a x)
+--R   (1)  ----------------------------------
+--R                         3
+--R                        a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.372~~~~~$\displaystyle
+\int{x^3\cos{ax}~dx}$}
+$$\int{x^3\cos{ax}}=
+\left(\frac{3x^2}{a^2}-\frac{6}{a^4}\right)\cos{ax}
++\left(\frac{x^3}{a}-\frac{6x}{a^3}\right)\sin{ax}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 30
+aa:=integrate(x^3*cos(a*x),x)
+--R 
+--R
+--R          3 3                      2 2
+--R        (a x  - 6a x)sin(a x) + (3a x  - 6)cos(a x)
+--R   (1)  -------------------------------------------
+--R                              4
+--R                             a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.373~~~~~$\displaystyle
+\int{\frac{\cos{ax}}{x}}~dx$}
+$$\int{\frac{\cos{ax}}{x}}=
+\ln{x}-\frac{(ax)^2}{2\cdot 2!}+\frac{(ax)^4}{4\cdot 4!}
+-\frac{(ax)^6}{6\cdot 6!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 5 of 30
+aa:=integrate(cos(x)/x,x)
+--R 
+--R
+--R   (1)  Ci(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.374~~~~~$\displaystyle
+\int{\frac{\cos{ax}}{x^2}}~dx$}
+$$\int{\frac{\cos{ax}}{x^2}}=
+-\frac{\cos{ax}}{x}-a\int{\frac{\sin{ax}}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 30
+aa:=integrate(cos(a*x)/x^2,x)
+--R 
+--R
+--R           x
+--I         ++  cos(%I a)
+--I   (1)   |   --------- d%I
+--R        ++        2
+--I                %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.375~~~~~$\displaystyle
+\int{\frac{dx}{\cos{ax}}}$}
+$$\int{\frac{1}{\cos{ax}}}=
+\frac{1}{a}\ln(\sec{ax}-\tan{ax})=
+\frac{1}{a}\ln\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 7 of 30
+aa:=integrate(1/cos(a*x),x)
+--R 
+--R
+--R            sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R        log(-----------------------) - log(-----------------------)
+--R                  cos(a x) + 1                   cos(a x) + 1
+--R   (1)  -----------------------------------------------------------
+--R                                     a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.376~~~~~$\displaystyle
+\int{\frac{x~dx}{\cos{ax}}}$}
+$$\int{\frac{x}{\cos{ax}}}=
+\frac{1}{a^2}\left\{
+\frac{(ax)^2}{2}+\frac{(ax)^4}{8}+\frac{5(ax)^6}{144}+\cdots+
+\frac{E_n(ax)^{2n+2}}{(2n+2)(2n)!}+\cdots
+\right\}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 30
+aa:=integrate(x/cos(a*x),x)
+--R 
+--R
+--R           x
+--I         ++      %I
+--I   (1)   |   --------- d%I
+--I        ++   cos(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.377~~~~~$\displaystyle
+\int{\cos^2{ax}}~dx$}
+$$\int{\cos^2{ax}}=
+\frac{x}{2}+\frac{\sin{2ax}}{4a}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 30
+aa:=integrate(cos(a*x)^2,x)
+--R 
+--R
+--R        cos(a x)sin(a x) + a x
+--R   (1)  ----------------------
+--R                  2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.378~~~~~$\displaystyle
+\int{x\cos^2{ax}}~dx$}
+$$\int{x\cos^2{ax}}=
+\frac{x^2}{4}+\frac{x\sin{2ax}}{4a}+\frac{\cos{2ax}}{8a^2}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 30
+aa:=integrate(x*cos(a*x)^2,x)
+--R 
+--R
+--R                                        2    2 2
+--R        2a x cos(a x)sin(a x) + cos(a x)  + a x
+--R   (1)  ----------------------------------------
+--R                             2
+--R                           4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.379~~~~~$\displaystyle
+\int{\cos^3{ax}}~dx$}
+$$\int{\cos^3{ax}}=
+\frac{\sin{ax}}{a}-\frac{\sin^3{ax}}{3a}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 30
+aa:=integrate(cos(a*x)^3,x)
+--R 
+--R
+--R                 2
+--R        (cos(a x)  + 2)sin(a x)
+--R   (1)  -----------------------
+--R                   3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.380~~~~~$\displaystyle
+\int{\cos^4{ax}}~dx$}
+$$\int{\cos^4{ax}}=
+\frac{3x}{8}+\frac{\sin{2ax}}{4a}+\frac{\sin{4ax}}{32a}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 30
+aa:=integrate(cos(a*x)^4,x)
+--R 
+--R
+--R                  3
+--R        (2cos(a x)  + 3cos(a x))sin(a x) + 3a x
+--R   (1)  ---------------------------------------
+--R                           8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.381~~~~~$\displaystyle
+\int{\frac{dx}{\cos^2{ax}}}$}
+$$\int{\frac{1}{\cos^2{ax}}}=
+\frac{\tan{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 30
+aa:=integrate(1/cos(a*x)^2,x)
+--R 
+--R
+--R         sin(a x)
+--R   (1)  ----------
+--R        a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.382~~~~~$\displaystyle
+\int{\frac{dx}{\cos^3{ax}}}$}
+$$\int{\frac{1}{\cos^3{ax}}}=
+\frac{\sin{ax}}{2a\cos^2{ax}}
++\frac{1}{2a}\ln\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 14 of 30
+aa:=integrate(1/cos(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R               2    sin(a x) + cos(a x) + 1
+--R       cos(a x) log(-----------------------)
+--R                          cos(a x) + 1
+--R     + 
+--R                 2    sin(a x) - cos(a x) - 1
+--R       - cos(a x) log(-----------------------) + sin(a x)
+--R                            cos(a x) + 1
+--R  /
+--R                2
+--R     2a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.383~~~~~$\displaystyle
+\int{\cos{px}\cos{qx}}~dx$}
+$$\int{\cos{ax}\cos{px}}=
+\frac{\sin{(a-p)x}}{2(a-p)}+\frac{\sin{(a+p)x}}{2(a+p)}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 30
+aa:=integrate(cos(p*x)*cos(q*x),x)
+--R 
+--R
+--R        q cos(p x)sin(q x) - p cos(q x)sin(p x)
+--R   (1)  ---------------------------------------
+--R                         2    2
+--R                        q  - p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.384~~~~~$\displaystyle
+\int{\frac{dx}{1-\cos{ax}}}$}
+$$\int{\frac{1}{1-\cos{ax}}}=
+-\frac{1}{a}\cot\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 16 of 30
+aa:=integrate(1/(1-cos(a*x)),x)
+--R 
+--R
+--R        - cos(a x) - 1
+--R   (1)  --------------
+--R          a sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.385~~~~~$\displaystyle
+\int{\frac{x~dx}{1-\cos{ax}}}$}
+$$\int{\frac{x}{1-\cos{ax}}}=
+-\frac{x}{a}\cot\frac{ax}{2}
++\frac{2}{a^2}\ln~\sin\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 17 of 30
+aa:=integrate(x/(1-cos(ax)),x)
+--R 
+--R
+--R                2
+--R               x
+--R   (1)  - ------------
+--R          2cos(ax) - 2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.386~~~~~$\displaystyle
+\int{\frac{dx}{1+\cos{ax}}}$}
+$$\int{\frac{1}{1+\cos{ax}}}=
+\frac{1}{a}\tan\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 18 of 30
+aa:=integrate(1/(1+cos(ax)),x)
+--R 
+--R
+--R             x
+--R   (1)  -----------
+--R        cos(ax) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.387~~~~~$\displaystyle
+\int{\frac{x~dx}{1+\cos{ax}}}$}
+$$\int{\frac{x}{1+\cos{ax}}}=
+\frac{x}{a}\tan\frac{ax}{2}
++\frac{2}{a^2}\ln~\cos\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 19 of 30
+aa:=integrate(x/(1+cos(a*x)),x)
+--R 
+--R
+--R                                  2
+--R        (- cos(a x) - 1)log(------------) + a x sin(a x)
+--R                            cos(a x) + 1
+--R   (1)  ------------------------------------------------
+--R                          2            2
+--R                         a cos(a x) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.388~~~~~$\displaystyle
+\int{\frac{dx}{(1-\cos{ax})^2}}$}
+$$\int{\frac{1}{(1-\cos{ax})^2}}=
+-\frac{1}{2a}\cot\frac{ax}{2}
+-\frac{1}{6a}\cot^3\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 20 of 30
+aa:=integrate(1/(1-cos(a*x))^2,x)
+--R 
+--R
+--R                  2
+--R        - cos(a x)  + cos(a x) + 2
+--R   (1)  --------------------------
+--R        (3a cos(a x) - 3a)sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.389~~~~~$\displaystyle
+\int{\frac{dx}{(1+\cos{ax})^2}}$}
+$$\int{\frac{1}{(1+\cos{ax})^2}}=
+\frac{1}{2a}\tan\frac{ax}{2}
++\frac{1}{6a}\tan^3\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 21 of 30
+aa:=integrate(1/(1+cos(a*x))^2,x)
+--R 
+--R
+--R             (cos(a x) + 2)sin(a x)
+--R   (1)  -------------------------------
+--R                   2
+--R        3a cos(a x)  + 6a cos(a x) + 3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.390~~~~~$\displaystyle
+\int{\frac{dx}{p+q\cos{ax}}}$}
+$$\int{\frac{1}{p+q\cos{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{2}{a\sqrt{p^2-q^q}}
+\tan^{-1}\sqrt{(p-q)/(p+q)}\tan\frac{1}{2}ax
+\\
+\displaystyle
+\frac{1}{a\sqrt{q^2-p^2}}\ln\left(
+\frac{\tan\frac{1}{2}ax+\sqrt{(q+p)/(q-p)}}
+{\tan\frac{1}{2}ax-\sqrt{(q+p)(q-p)}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 22 of 30
+aa:=integrate(1/(p+q*cos(a*x)),x)
+--R 
+--R
+--R   (1)
+--R                           +-------+
+--R                           | 2    2        2    2
+--R        (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R    log(--------------------------------------------------)
+--R                          q cos(a x) + p
+--R   [-------------------------------------------------------,
+--R                            +-------+
+--R                            | 2    2
+--R                          a\|q  - p
+--R                     +---------+
+--R                     |   2    2
+--R            sin(a x)\|- q  + p
+--R    2atan(-----------------------)
+--R          (q + p)cos(a x) + q + p
+--R    ------------------------------]
+--R               +---------+
+--R               |   2    2
+--R             a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.391~~~~~$\displaystyle
+\int{\frac{dx}{(p+q\cos{ax})^2}}$}
+$$\int{\frac{1}{(p+q\cos{ax})^2}}=
+\frac{q\sin{ax}}{a(q^2-p^2)(p+q\cos{ax})}
+-\frac{p}{q^2-p^2}\int{\frac{1}{p+q\cos{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 23 of 30
+aa:=integrate(1/(p+q*cos(a*x))^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                            2
+--R           (p q cos(a x) + p )
+--R        *
+--R                                  +-------+
+--R                                  | 2    2      2    2
+--R               (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)
+--R           log(------------------------------------------------)
+--R                                q cos(a x) + p
+--R       + 
+--R                    +-------+
+--R                    | 2    2
+--R         q sin(a x)\|q  - p
+--R    /
+--R                                                +-------+
+--R            3      2                  2      3  | 2    2
+--R       ((a q  - a p q)cos(a x) + a p q  - a p )\|q  - p
+--R     ,
+--R
+--R                                                +---------+
+--R                                                |   2    2
+--R                              2        sin(a x)\|- q  + p
+--R         (- 2p q cos(a x) - 2p )atan(-----------------------)
+--R                                     (q + p)cos(a x) + q + p
+--R       + 
+--R                    +---------+
+--R                    |   2    2
+--R         q sin(a x)\|- q  + p
+--R    /
+--R                                                +---------+
+--R            3      2                  2      3  |   2    2
+--R       ((a q  - a p q)cos(a x) + a p q  - a p )\|- q  + p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.392~~~~~$\displaystyle
+\int{\frac{dx}{p^2+q^2\cos^2{ax}}}$}
+$$\int{\frac{1}{p^2+q^2\cos^2{ax}}}=
+\frac{1}{ap\sqrt{p^2+q^2}}\tan^{-1}\frac{p\tan{ax}}{\sqrt{p^2+q^2}}
+$$
+<<*>>=
+)clear all
+
+--S 24 of 30
+aa:=integrate(1/(p^2+a^2*cos(a*x)),x)
+--R 
+--R
+--R   (1)
+--R                            +---------+
+--R            2            2  |   4    4      4    4
+--R        (- p cos(a x) - a )\|- p  + a   + (p  - a )sin(a x)
+--R    log(---------------------------------------------------)
+--R                           2            2
+--R                          a cos(a x) + p
+--R   [--------------------------------------------------------,
+--R                            +---------+
+--R                            |   4    4
+--R                          a\|- p  + a
+--R                        +-------+
+--R                        | 4    4
+--R               sin(a x)\|p  - a
+--R    2atan(---------------------------)
+--R            2    2             2    2
+--R          (p  + a )cos(a x) + p  + a
+--R    ----------------------------------]
+--R                  +-------+
+--R                  | 4    4
+--R                a\|p  - a
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.393~~~~~$\displaystyle
+\int{\frac{dx}{p^2-q^2\cos^2{ax}}}$}
+$$\int{\frac{1}{p^2-q^2\cos^2{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{ap\sqrt{p^2-q^2}}\tan^{-1}\frac{p\tan{ax}}{\sqrt{p^2-q^2}}\\
+\\
+\displaystyle
+\frac{1}{2ap\sqrt{q^2-p^2}}\ln\left(\frac{p\tan{ax}-\sqrt{q^2-p^2}}
+{p\tan{ax}+\sqrt{q^2-p^2}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 25 of 30
+aa:=integrate(1/(p^2-q^2*cos(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R                                   +-------+
+--R           2     2         2    2  | 2    2           2     3
+--R        ((q  - 2p )cos(a x)  + p )\|q  - p   + (- 2p q  + 2p )cos(a x)sin(a x)
+--R    log(----------------------------------------------------------------------)
+--R                                    2        2    2
+--R                                   q cos(a x)  - p
+--R   [---------------------------------------------------------------------------,
+--R                                        +-------+
+--R                                        | 2    2
+--R                                   2a p\|q  - p
+--R
+--R                       +---------+
+--R                       |   2    2
+--R              sin(a x)\|- q  + p
+--R         atan(--------------------)
+--R                2p cos(a x) + 2p
+--R       + 
+--R                      2    2              2
+--R                   ((q  + p )cos(a x) + 2p )sin(a x)
+--R         atan(-------------------------------------------)
+--R                                              +---------+
+--R                         2                    |   2    2
+--R              (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R    /
+--R           +---------+
+--R           |   2    2
+--R       a p\|- q  + p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.394~~~~~$\displaystyle
+\int{x^m\cos{ax}}~dx$}
+$$\int{x^m\cos{ax}}=
+\frac{x^m\sin{ax}}{a}+\frac{mx^{m-1}}{a^2}\cos{ax}
+-\frac{m(m-1)}{a^2}\int{x^{m-2}\cos{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 26 of 30
+aa:=integrate(x^m*cos(a*x),x)
+--R 
+--R
+--R           x
+--R         ++             m
+--I   (1)   |   cos(%I a)%I d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.395~~~~~$\displaystyle
+\int{\frac{\cos{ax}}{x^n}}~dx$}
+$$\int{\frac{\cos{ax}}{x^n}}=
+-\frac{\cos{ax}}{(n-1)x^{n-1}}-\frac{a}{n-1}\int{\frac{\sin{ax}}{x^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 26 of 30
+aa:=integrate(cos(a*x)/x^n,x)
+--R 
+--R
+--R           x
+--I         ++  cos(%I a)
+--I   (1)   |   --------- d%I
+--R        ++        n
+--I                %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.396~~~~~$\displaystyle
+\int{\cos^n{ax}}~dx$}
+$$\int{\cos^n{ax}}=
+\frac{\sin{ax}\cos^{n-1}{ax}}{an}+\frac{n-1}{n}\int{\cos^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 28 of 30
+aa:=integrate(cos(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--I   (1)   |   cos(%I a) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.397~~~~~$\displaystyle
+\int{\frac{1}{\cos^n{ax}}}~dx$}
+$$\int{\frac{1}{\cos^n{ax}}}=
+\frac{\sin{ax}}{a(n-1)\cos^{n-1}{ax}}
++\frac{n-2}{n-1}\int{\frac{1}{\cos^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 29 of 30
+aa:=integrate(1/(cos(a*x))^n,x)
+--R 
+--R
+--R           x
+--R         ++       1
+--I   (1)   |   ---------- d%I
+--R        ++            n
+--I             cos(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.398~~~~~$\displaystyle
+\int{\frac{x~dx}{cos^n{ax}}}$}
+$$\int{\frac{x}{cos^n{ax}}}=
+\frac{x\sin{ax}}{a(n-1)\cos^{n-1}{ax}}
+-\frac{1}{a^2(n-1)(n-2)\cos^{n-2}{ax}}
++\frac{n-2}{n-1}\int{\frac{x}{\cos^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 30 of 30
+aa:=integrate(x/cos(a*x)^n,x)
+--R 
+--R
+--R           x
+--I         ++      %I
+--I   (1)   |   ---------- d%I
+--R        ++            n
+--I             cos(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp77-78
+\end{thebibliography}
+\end{document}
